티스토리 뷰

이 문서를 쓰기 전 당부할 것이 있다.


이 문제는 대개 파이썬이 설치되어 있는데, 파이썬 최신 버전을 설치하기 위해서 소스 컴파일로 설치할 경우 나타나는 문제이다. 이 문제 말고도, 최신버전을 소스컴파일로 설치하자 마자, yum 불통이 될 것이고, 파이썬을 사용하는 대부분의 어플리케이션들이 안될 확률이 높아질 것이다.


개발자가 아닌 서버 관리자라면, yum이나 rpm 레벨에서 모두 처리할 수 있도록 하고, 무조건 파이썬을 업그레이드를 해야한다면, 클론 서버를 하나 두고, 적용하고 패치하고, 쌩쑈를 한 다음, 실 서버에 적용하길 바란다.


일단 파이썬을 다시 소스 컴파일을 해야한다. (다른 방법도 있지만, 이게 속편하다.)


1. zlib-devel과 openssl-devel을 rpm파일을 구해서 다운 받는다.

2. rpm 파일을 설치한다.

3. 파이썬을 소스 컴파일로 설치할 때, --with-zlib=/usr/include --with-ssl 옵션을 주고 ./configure를 진행한다.

※TIP. rpm이 종류별로 정리되어 있고, 찾을 수 있는 사이트 - http://rpmfind.net/linux/rpm2html/search.php?query=zlib-devel

댓글
댓글쓰기 폼